var pobraneAlbumy = new Array();

function dodaj_do_pobranych(album){
	var jest = false;
	for(var i in pobraneAlbumy){
		if(pobraneAlbumy[i].album_id == album.album_id){
			pobraneAlbumy[i] = album;
			jest = true;
		}
	}
	if(jest == false){
		pobraneAlbumy.push(album);
	}
}

function pobierz_z_pobranych(album_id){
	var album = null;
	for(var i in pobraneAlbumy){
		if(pobraneAlbumy[i].album_id == album_id){
			album = pobraneAlbumy[i];
		}
	}
	return album;
}

function usun_z_pobranych(id_alb){
	for(var i in pobraneAlbumy){
		if(pobraneAlbumy[i].album_id == id_alb){
			var tmp = pobraneAlbumy[0];
			pobraneAlbumy[0] = pobraneAlbumy[i];
			pobraneAlbumy.shift();
			pobraneAlbumy[i] = tmp;
		}
	}
}

function album_z_pobranych(){
	var album = null;
	if(pobraneAlbumy.length > 0){
		album = pobraneAlbumy[0];
	}
	return album;
}